链接
GET https://0o0.online/api/links/
curl --request GET \
--url 'https://0o0.online/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 细节 | 描述 |
|---|---|---|
| search | 可选 线条 | 搜索链条。 |
| search_by | 可选 线条 | 您正在寻找哪个字段?允许值是: url, location_url. |
| is_enabled | 可选 布莱恩 | |
| project_id | 可选 全集 | |
| type | 可选 线条 |
biolink, link, file, vcard, event, static |
| datetime_field | 可选 线条 | 允许的值: datetime, last_datetime |
| datetime_start | 可选 线条 | 过滤结果从此日期开始。 Y-m-d H:i:s 格式。 |
| datetime_end | 可选 线条 | 过滤到此日期。 Y-m-d H:i:s 格式。 |
| order_by | 可选 线条 | 哪个字段可以订购结果? 允许值是: link_id, datetime, last_datetime, clicks, url. |
| order_type | 可选 线条 | 命令结果. 允许的值是: ASC 以便上涨的命令,以及 DESC 下降命令。 |
| page | 可选 全集 | 您想要的页面号码 结果从. 缺点到 1. |
| results_per_page | 可选 全集 | 每页需要多少结果?允许值是: 10, 25, 50, 100, 250, 500, 1000. 缺陷到 25. |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-10-16 01:37:53",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/links?page=1",
"last": "https://0o0.online/api/links?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/links?page=1"
}
}
GET https://0o0.online/api/links/{link_id}
curl --request GET \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-10-16 01:37:53",
}
}
POST https://0o0.online/api/links
| 参数 | 细节 | 描述 |
|---|---|---|
| type | 可选 线条 | link |
| location_url | 必填 线条 | 是的, URL 到目的地。可用当: is_bulk = 0 |
| location_urls | 必填 线条 | 是的, URL 到目的地。可用当: is_bulk = 1 |
| url | 可选 线条 | 是的, URL 创建链接的 alias. 让一个随机创建的一个空白。可用当: is_bulk = 0 |
| is_bulk | 可选 布莱恩 | |
| domain_id | 可选 全集 | - |
| project_id | 可选 全集 | - |
| pixels_ids | 可选 阿雷 全集 | - |
| email_reports | 可选 阿雷 | 通讯处理IDS |
| schedule | 可选 布莱恩 | - |
| start_date | 可选 线条 | 可用当: schedule = true |
| end_date | 可选 线条 | 可用当: schedule = true |
| clicks_limit | 可选 全集 | - |
| expiration_url | 可选 线条 | - |
| sensitive_content | 可选 布莱恩 | - |
| http_status_code | 可选 全集 | 允许的值: 301, 302, 307, 308 |
| app_linking_is_enabled | 可选 布莱恩 | - |
| cloaking_is_enabled | 可选 布莱恩 | - |
| cloaking_title | 可选 线条 | - |
| cloaking_meta_description | 可选 线条 | - |
| cloaking_custom_js | 可选 线条 | - |
| cloaking_favicon | 可选 文件 | - |
| cloaking_opengraph | 可选 文件 | - |
| password | 可选 线条 | - |
| forward_query_parameters_is_enabled | 可选 布莱恩 | - |
| seo_block | 可选 布莱恩 | - |
| utm_source | 可选 线条 | - |
| utm_medium | 可选 线条 | - |
| utm_campaign | 可选 线条 | - |
| targeting_type | 可选 线条 | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | 可选 线条 | 可用当: targeting_type = continent_code |
| targeting_continent_code_value[index] | 可选 线条 | 可用当: targeting_type = continent_code |
| targeting_country_code_key[index] | 可选 线条 | 可用当: targeting_type = country_code |
| targeting_country_code_value[index] | 可选 线条 | 可用当: targeting_type = country_code |
| targeting_city_name_key[index] | 可选 线条 | 可用当: targeting_type = city_name |
| targeting_city_name_value[index] | 可选 线条 | 可用当: targeting_type = city_name |
| targeting_device_type_key[index] | 可选 线条 | 可用当: targeting_type = device_type |
| targeting_device_type_value[index] | 可选 线条 | 可用当: targeting_type = device_type |
| targeting_browser_language_key[index] | 可选 线条 | 可用当: targeting_type = browser_language |
| targeting_browser_language_value[index] | 可选 线条 | 可用当: targeting_type = browser_language |
| targeting_rotation_key[index] | 可选 线条 | 可用当: targeting_type = rotation |
| targeting_rotation_value[index] | 可选 线条 | 可用当: targeting_type = rotation |
| targeting_os_name_key[index] | 可选 线条 | 可用当: targeting_type = os_name |
| targeting_os_name_value[index] | 可选 线条 | 可用当: targeting_type = os_name |
| targeting_browser_name_key[index] | 可选 线条 | 可用当: targeting_type = browser_name |
| targeting_browser_name_value[index] | 可选 线条 | 可用当: targeting_type = browser_name |
curl --request POST \
--url 'https://0o0.online/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://0o0.online/' \
--url 'https://0o0.online/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://0o0.online/' \
{
"data": {
"id": 1
}
}
POST https://0o0.online/api/links/{link_id}
| 参数 | 细节 | 描述 |
|---|---|---|
| location_url | 可选 线条 | 是的, URL 到目的地。 |
| url | 可选 线条 | 是的, URL 创建链接的 alias. 让一个随机创建的一个空白。 |
| domain_id | 可选 全集 | - |
| project_id | 可选 全集 | - |
| pixels_ids | 可选 阿雷 全集 | - |
| email_reports | 可选 阿雷 | 通讯处理IDS |
| schedule | 可选 布莱恩 | - |
| start_date | 可选 线条 | 可用当: schedule = true |
| end_date | 可选 线条 | 可用当: schedule = true |
| clicks_limit | 可选 全集 | - |
| expiration_url | 可选 线条 | - |
| sensitive_content | 可选 布莱恩 | - |
| http_status_code | 可选 全集 | 允许的值: 301, 302, 307, 308 |
| app_linking_is_enabled | 可选 布莱恩 | - |
| cloaking_is_enabled | 可选 布莱恩 | - |
| cloaking_title | 可选 线条 | - |
| cloaking_meta_description | 可选 线条 | - |
| cloaking_custom_js | 可选 线条 | - |
| cloaking_favicon | 可选 文件 | - |
| cloaking_opengraph | 可选 文件 | - |
| password | 可选 线条 | - |
| forward_query_parameters_is_enabled | 可选 布莱恩 | - |
| seo_block | 可选 布莱恩 | - |
| utm_source | 可选 线条 | - |
| utm_medium | 可选 线条 | - |
| utm_campaign | 可选 线条 | - |
| targeting_type | 可选 线条 | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | 可选 线条 | 可用当: targeting_type = continent_code |
| targeting_continent_code_value[index] | 可选 线条 | 可用当: targeting_type = continent_code |
| targeting_country_code_key[index] | 可选 线条 | 可用当: targeting_type = country_code |
| targeting_country_code_value[index] | 可选 线条 | 可用当: targeting_type = country_code |
| targeting_city_name_key[index] | 可选 线条 | 可用当: targeting_type = city_name |
| targeting_city_name_value[index] | 可选 线条 | 可用当: targeting_type = city_name |
| targeting_device_type_key[index] | 可选 线条 | 可用当: targeting_type = device_type |
| targeting_device_type_value[index] | 可选 线条 | 可用当: targeting_type = device_type |
| targeting_browser_language_key[index] | 可选 线条 | 可用当: targeting_type = browser_language |
| targeting_browser_language_value[index] | 可选 线条 | 可用当: targeting_type = browser_language |
| targeting_rotation_key[index] | 可选 线条 | 可用当: targeting_type = rotation |
| targeting_rotation_value[index] | 可选 线条 | 可用当: targeting_type = rotation |
| targeting_os_name_key[index] | 可选 线条 | 可用当: targeting_type = os_name |
| targeting_os_name_value[index] | 可选 线条 | 可用当: targeting_type = os_name |
| targeting_browser_name_key[index] | 可选 线条 | 可用当: targeting_type = browser_name |
| targeting_browser_name_value[index] | 可选 线条 | 可用当: targeting_type = browser_name |
| is_enabled | 可选 布莱恩 | - |
curl --request POST \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://0o0.online/api/links/{link_id}
curl --request DELETE \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \